Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BLabel

    java.lang.Object
      Biff
          jet.report.xls.Blank
              jet.report.xls.BLabel

    public class BLabel

extends Blank

Specifies a label cell. That is, to write a `String` value to a cell.

Constructor Summary
`BLabel(int row, int col, int ixfe, java.lang.String label, java.lang.String encoding)` Constructs a BLabel object.

Method Summary
`java.lang.String` | `getLabel()` Gets lable string .
`int` | `getLength()` Gets this record length.
`void` | `input(util.RandomAccessStream stream)` Inputs label from input stream.
`int` | `opcode()` Gets the opcode of BLabel.
`int` | `output(util.RandomAccessStream stream)` Outputs the class BLabel.
`void` | `setLable(java.lang.String str)` Sets lable string.

Methods inherited from class jet.report.xls.Blank
`getCol, getIxfe, getRow, setCol, setIxfe, setRow`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLabel

    public BLabel(int row,
                  int col,
                  int ixfe,
                  java.lang.String label,
                  java.lang.String encoding)

  Constructs a BLabel object.

  Parameters:
    `row` - the row number to locate the BLable (based 0)
    `col` - the column number to locate the BLable (based 0)
    `ixfe` - index to the `Xf` record, which you can get by `GlobalWorksheet.getXfIndex(Xf)`
    `label` - value of the label

Method Detail

### getLength

    public int getLength()

  Gets this record length.

### opcode

    public final int opcode()

  Gets the opcode of BLabel.

  Overrides:
    `opcode` in class `Blank`

### setLable

    public void setLable(java.lang.String str)

  Sets lable string.

### getLabel

    public java.lang.String getLabel()

  Gets lable string .

### output

    public int output(util.RandomAccessStream stream)
               throws java.io.IOException

  Outputs the class BLabel.

  Overrides:
    `output` in class `Blank`
  Throws:
    `java.io.IOException`

### input

    public void input(util.RandomAccessStream stream)
               throws java.io.IOException

  Inputs label from input stream.

  Overrides:
    `input` in class `Blank`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD